LimitStencilTableFactory Class Reference

Stencil table factory class wrapping the template for compatibility. More...

`#include <stencilTableFactory.h>`

Inheritance diagram for LimitStencilTableFactory:

## Static Public Member Functions

static LimitStencilTable const * | Create (TopologyRefiner const &refiner, LocationArrayVec const &locationArrays, StencilTable const *cvStencils=0, PatchTable const *patchTable=0, Options options=Options())
Static Public Member Functions inherited from LimitStencilTableFactoryReal< float >
static LimitStencilTableReal< float > const * | Create (TopologyRefiner const &refiner, LocationArrayVec const &locationArrays, StencilTableReal< float > const *cvStencils=0, PatchTable const *patchTable=0, Options options=Options())
| Instantiates LimitStencilTable from a TopologyRefiner that has been refined either uniformly or adaptively. More...

## Additional Inherited Members

Public Types inherited from LimitStencilTableFactoryReal< float >
enum | Mode
typedef std::vector< LocationArray > | LocationArrayVec

## Detailed Description

Stencil table factory class wrapping the template for compatibility.

Definition at line 354 of file stencilTableFactory.h.

## Member Function Documentation

## Create()

static LimitStencilTable const * Create | ( | TopologyRefiner const & | refiner,
|  | LocationArrayVec const & | locationArrays,
|  | StencilTable const * | cvStencils = `0`,
|  | PatchTable const * | patchTable = `0`,
|  | Options | options = `Options()`
| ) |  |

inline static

Definition at line 360 of file stencilTableFactory.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTableFactory.h